Package org.apache.wiki.plugin

## Class SessionsPlugin

- java.lang.Object
- - org.apache.wiki.plugin.SessionsPlugin

All Implemented Interfaces:
  `Plugin`

    public class SessionsPlugin
    extends java.lang.Object
    implements Plugin

Displays information about active wiki sessions. The parameter `property` specifies what information is displayed. If omitted, the number of sessions is returned.

Parameters :

- property - specify what output to display, valid values are:

- `users` - returns a comma-separated list of users
- `distinctUsers` - will only show distinct users.

Since:
  2.3.84

### Field Summary

Fields
`static java.lang.String` `PARAM_PROP` The parameter name for setting the property value.

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

### Constructor Summary

Constructors
`SessionsPlugin()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `execute​(Context context, java.util.Map<java.lang.String,​java.lang.String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PARAM_PROP

    public static final java.lang.String PARAM_PROP

The parameter name for setting the property value.

See Also:
  Constant Field Values

### Constructor Detail

#### SessionsPlugin

    public SessionsPlugin()

### Method Detail

#### execute

    public java.lang.String execute​(Context context,
                                    java.util.Map<java.lang.String,​java.lang.String> params)
                             throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`